import { ossConsolePath } from '@logto/schemas';
import { conditionalArray } from '@silverhand/essentials';

import { adminEndpoint, isCloud } from './env';

const getAdminTenantEndpoint = () => {
  // Allow endpoint override for dev or testing
  if (adminEndpoint) {
    return new URL(adminEndpoint);
  }

  return new URL(
    isCloud ? window.location.origin.replace('cloud.', 'auth.') : window.location.origin
  );
};

export const adminTenantEndpoint = getAdminTenantEndpoint();

export const mainTitle = isCloud ? 'Logto Cloud' : 'Logto Console';

export const getCallbackUrl = (tenantId?: string) =>
  new URL(
    // Only Cloud has tenantId in callback URL
    '/' + conditionalArray(isCloud ? tenantId : 'console', 'callback').join('/'),
    window.location.origin
  );

export const getSignOutRedirectPathname = () => (isCloud ? '/' : ossConsolePath);
